//Bass Unit
unit EffectBass;

interface
uses
 Windows,SysUtils, Classes, Graphics;

type
 //24bitアクセス用ポインタ
 pRGBarray  = ^TRGBarray;
 TRGBarray  = array[0..0] of TRGBQUAD; //None リテラル

type
 //24bitアクセス用ダブルポインタ
 PPBits = ^TPBits;
 TPBits = array[0..0] of pRGBarray; //None リテラル


//汎用プロシージャ
//procedure Set32bit(var Src,Dest :TBitmap);
//function  Set255(Value : integer) : BYTE;

implementation


/////////
procedure Set32bit(var Src,Dest :Tbitmap);
begin
  Src.PixelFormat :=pf32bit;
  Dest.PixelFormat:=pf32bit;
  Dest.Width:=Src.Width;
  Dest.Height:=Src.Height;
end;

/////////
{function Set255(Value:Integer):Byte;
begin
 if Value>=255 then
  Result:=255
 else if Value<=0 then
 Result:=0
 else Result:=Value;
end;  }




end.
